package com.xingxi.master.product.mapper;

import com.xingxi.master.product.domain.ProdAttrPrice;

import java.util.List;

/**
 * 商品属性价格Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface ProdAttrPriceMapper {
    /**
     * 查询商品属性价格
     *
     * @param prodAttrPriceId 商品属性价格主键
     * @return 商品属性价格
     */
    ProdAttrPrice selectProdAttrPriceByProdAttrPriceId(Long prodAttrPriceId);

    /**
     * 查询商品属性价格列表
     *
     * @param prodAttrPrice 商品属性价格
     * @return 商品属性价格集合
     */
    List<ProdAttrPrice> selectProdAttrPriceList(ProdAttrPrice prodAttrPrice);

    /**
     * 新增商品属性价格
     *
     * @param prodAttrPrice 商品属性价格
     * @return 结果
     */
    int insertProdAttrPrice(ProdAttrPrice prodAttrPrice);

    /**
     * 批量新增商品属性价格
     *
     * @param prodAttrPriceList 商品属性价格
     * @return 结果
     */
    int batchInsertProdAttrPrice(List<ProdAttrPrice> prodAttrPriceList);

    /**
     * 修改商品属性价格
     *
     * @param prodAttrPrice 商品属性价格
     * @return 结果
     */
    int updateProdAttrPrice(ProdAttrPrice prodAttrPrice);

    /**
     * 删除商品属性价格
     *
     * @param prodAttrPriceId 商品属性价格主键
     * @return 结果
     */
    int deleteProdAttrPriceByProdAttrPriceId(Long prodAttrPriceId);

    /**
     * 批量删除商品属性价格
     *
     * @param prodAttrPriceIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProdAttrPriceByProdAttrPriceIds(String[] prodAttrPriceIds);


    /**
     * 逻辑删除商品属性价格
     *
     * @param prodAttrPriceId 商品属性价格主键
     * @return 结果
     */
    int logicDeleteProdAttrPriceByProdAttrPriceId(Long prodAttrPriceId);

    /**
     * 逻辑批量删除商品属性价格
     *
     * @param prodAttrPriceIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteProdAttrPriceByProdAttrPriceIds(String[] prodAttrPriceIds);

    /**
     * 逻辑批量删除商品属性价格
     *
     * @param prodAttrPrice 商品属性价格
     * @return 结果
     */
    int logicDeleteProdAttrPriceByCondition(ProdAttrPrice prodAttrPrice);

}
